(function ($, Drupal) {

    "use strict";

    Drupal.behaviors.Autox = {
        attach: function (context, settings) {

            $(window).on('load', function() {

                Drupal.Autox.scrollClass();
                $(window).scroll(Drupal.Autox.scrollClass);

                // Js for 3 tabs Our service
                $('#block-views-block-our-services-block-4 .block-views-services').addClass('open');
                $('.block-views-services').click(function () {
                    $('.block-views-services').removeClass('open');
                    $(this).addClass('open');
                });

                Drupal.Autox.setInputPlaceHolder('email', 'Your Email', '.simplenews-subscriber-form .form-type-email');
                // Js page vehicle => search vehicle
                $('#block-views-block-vehicle-property-block-3 .views-col').click(Drupal.Autox.bindBodyTypeBlockToCompose);
                $('#edit-field-body-types-target-id').on('change', Drupal.Autox.bindBodyTypeComposeToBlock);
                $('.block-views-exposed-filter-blockvehicles-page-1 .form-select').on('change', Drupal.Autox.bindComposeToTagsStub);
                Drupal.Autox.addSearchTagsStub();


                // Make faq accordion
                Drupal.Autox.addFaqAccordion();
                

                // Validate Contact form
                $(context).find('.not-front.contact #edit-submit').click( Drupal.Autox.submitButtonHandle);

                // Fix search selector
                Drupal.Autox.fixSelector();

                Drupal.Autox.groupFieldImageFieldNote();

                if($('.about-us').length)
                {
                    $('.about-us').closest('section').addClass('about-us');
                }
                if($('.quote').length)
                {
                    $('.quote').closest('section').addClass("quote");
                }

                // Add your code here

            });

            Drupal.Autox.mobileMenu();

            if($('html').attr('dir')=='rtl') {
                $('.carousel-responsive').slick({
                    dots: false,
                    infinite: false,
                    speed: 300,
                    slidesToShow: 3,
                    slidesToScroll: 1,
                    rtl: true,
                    responsive: [{
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1,
                            infinite: true,
                            dots: true
                        }
                    }, {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1
                        }
                    }, {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1
                        }
                    }]
                  });

             /*   $('.nav-tabs a').click(function (e) {
                      e.preventDefault();
                      $(this).click();
                      $(this).tab('show');
                    });*/

            }

            var base_path = drupalSettings.path.baseUrl;
            fixImageSources();
            fixDealer();
            fixContact();
            fixPrice();

             function fixImageSources() {
                (jQuery)('img').each(function (i, e) {
                  var self = (jQuery)(this);
                  var src = self.attr('src');
                  if (src.indexOf('/sites/default') > 0) {
                    var tmphref = src.split('sites/default')[0];
                    src = src.replace(tmphref, base_path);
                    self.attr('src', src);
                }
            });
            }

            function fixPrice()
            {
                var path_RTL = drupalSettings.path;
                 if(path_RTL.currentPath == 'frontpage')
                    {
                     (jQuery)('#blocktabs-panel_first_tab-3 a').each(function (i, e) {
                      var self = (jQuery)(this);
                      var href = self.attr('href');
                        if(path_RTL.currentLanguage == 'ar')
                        {
                          var tmphref = 'ar' + href;
                        }else
                        {
                            if (path_RTL.baseUrl != '/')
                            {
                                var tmphref = path_RTL.baseUrl.slice(0, -1) + href;
                            }
                            else
                            {
                                var tmphref = href;
                            }
                        }
                        //href = href.replace(tmphref, base_path);
                        self.attr('href', tmphref);

            });
                    }
            }
            function fixDealer() {
                (jQuery)('.find_dealer').each(function (i, e) {
                  var self = (jQuery)(this);
                  var href = self.attr('href');
                  if (href.indexOf('/dealer') > 0) {
                    var tmphref = href.split('dealer')[0];
                    href = href.replace(tmphref, base_path);
                    self.attr('href', href);
                }
            });

                var path_RTL = drupalSettings.path;
                if(path_RTL.pathPrefix == 'ar/')
                {
                    var _contact = $('.find_dealer');
                    _contact.attr('href', '/ar/dealers');

                }
            }

             function fixContact() {
                (jQuery)('.contact').each(function (i, e) {
                  var self = (jQuery)(this);
                  var href = self.attr('href');
                  if (href.indexOf('/contact') > 0) {
                    var tmphref = href.split('contact')[0];
                    href = href.replace(tmphref, base_path);
                    self.attr('href', href);
                }
            });
                var path_RTL = drupalSettings.path;
                if(path_RTL.pathPrefix == 'ar/')
                {
                    var _contact = $('#block-faqblock .content p a');
                    _contact.attr('href', 'contact');

                }
            }

        }
    };

    Drupal.Autox = Drupal.Autox || {};

    Drupal.Autox.scrollClass = function(){

        var scroll = $(window).scrollTop();
        if (scroll >= 10) {
          $(".page").addClass("scrolled");
        }
        else {
          $(".page").removeClass("scrolled");
        }
    }

    Drupal.Autox.setInputPlaceHolder = function (name, text, selector) {
    selector = selector == undefined ? '' : selector + ' ';

    if ($.support.placeholder) {
      $(selector + 'input[type="' + name + '"]').attr('placeholder', Drupal.t(text));
            }
            else {
              $(selector + 'input[type="' + name + '"]').val(Drupal.t(text));
              $(selector + 'input[type="' + name + '"]').focus(function(){
                if(this.value == Drupal.t(text)) {
                  this.value='';
                }
              }).blur(function(){
                if(this.value == '') {
                  this.value=Drupal.t(text);
              }
            });
          }
    }
    // Add stupid stub search tag
    Drupal.Autox.addSearchTagsStub = function() {

        var searchStub = $('.not-front .block-views-exposed-filter-blockvehicles-page-1 #edit-actions');
        var tagStub = $('<div>').addClass("block-ct-tags").attr('id',"block-ct-tags").append('<ul></ul>');
        searchStub.before(tagStub);

        // Init tags stub for go back
        Drupal.Autox.bindBodyTypeComposeToBlock();

        $('#views-exposed-form-vehicles-page-1').find('select').each(function(){

            var selectedValue = $(this).find('option:selected').attr('value');
            $(this).val($(this).find('option:first').val()).change();
            $(this).val(selectedValue).change();
        });

    }


    Drupal.Autox.bindBodyTypeBlockToCompose = function(){

        //console.log("body type block => body type conpose!!!");
        // Make selection
        $('#block-views-block-vehicle-property-block-3 .views-col .views-field-field-body-type-image').removeClass('selected');
        $(this).find('.views-field-field-body-type-image').addClass('selected');
        // Bind value
        // 1. get body type
        var bodyTypeName = $(this).find('.views-field-name').text().trim();
        // 2. find element in combobox
        var optionRow = $('#edit-field-body-types-target-id option:contains('+bodyTypeName+')');
        var value = optionRow.attr('value');
        // 3. do job
        optionRow.parent().val(value).change();
    }

    Drupal.Autox.bindBodyTypeComposeToBlock = function(){

        //console.log("body type compose => bodytype block!!!");
        // Make selection
        var bodyTypeName = $('#edit-field-body-types-target-id option:selected').text();

        // Make change in block
        /// 1. Remove select for all
        $('#block-views-block-vehicle-property-block-3 .views-col .views-field-field-body-type-image').removeClass('selected');
        /// 2. And add for the select item
        var stupidItem = $('#block-views-block-vehicle-property-block-3 div.views-field-name:contains('+bodyTypeName+')').parent();
        $(stupidItem).find('.views-field-field-body-type-image').addClass('selected');
    }


    Drupal.Autox.bindComposeToTagsStub = function(){

        //console.log("compose => tabs stub!!!");
        var composeType = $(this).attr('id');

        // Remove all the same category of tag
        $('#block-ct-tags [category='+composeType+']').remove();

        var selectedValue = $(this).find('option:selected').attr('value');

        // Check if option is any
        if(selectedValue!='All'){

            // If not => create new tag stub
            var newTag = $('<li>').attr('category',composeType);
            var selectedText = $(this).find('option:selected').text();
            newTag.append(selectedText).append('<span  class="icon icon-close"></span>');

            // Bind click event
            newTag.find('.icon-close').click(Drupal.Autox.bindTagsStubToCompose);

            // Append new tag
            $('#block-ct-tags').children().append(newTag);
        }
    }

    Drupal.Autox.bindTagsStubToCompose = function(){

        //console.log("tabs stub => compose!!!");

        // Get tag stub item
        var parent = $(this).parent();
        var composeType = parent.attr('category');

        // Remove this tag stub
        parent.remove();

        // Reset select form
        var select = $('#'+composeType);
        select.val($(select).find('option:first').val()).change();
    }

    Drupal.Autox.addViewFieldSet =function(parent_key, start_index, end_index, wrap_class){

        wrap_class = wrap_class||"";
        var parent = jQuery(parent_key);
        parent.children().each(function() {
            jQuery(this).children().slice(start_index, end_index).wrapAll(
                '<div class="field-group-wrapper views-fieldset '+wrap_class+'"></div>'
            );
          });
    }

    Drupal.Autox.addFaqAccordion =function(){
        var wrap_class = "panel-collapse collapse";
        var parent = jQuery("#block-autox-content .faq-block .view-content");
        $(parent).addClass("panel-group").attr("role","tablist").attr("id","accordion");

        parent.children().each(function() {

            $(this).addClass("panel panel-default");

            var title =jQuery(this).children().slice(0,1).find('a');
            var id = title.attr('href').split('#')[1];
            var href = '#'+id;
            title.attr('href',href);
            title.attr('data-toggle','collapse');
            title.attr('data-parent',"#accordion");

            $(this).children().slice(1).wrapAll(
                '<div id="'+id+'" class="field-group-wrapper views-fieldset '+wrap_class+'"></div>'
            );
        });

        parent.children().slice(0,1).children().slice(1).addClass("in");
        parent.children().slice(0,1).find('.collapsed').removeClass('collapsed');
    }

    function validateEmail(email) {
        var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }

    Drupal.Autox.submitButtonHandle = function(){

        // Check email
        var isEmailNotNull = ($('#edit-mail').text().trim() || $('#edit-mail').val());
        if(!isEmailNotNull)
            return true;

        var email = $('#edit-mail').text().trim()?$('#edit-mail').text().trim():$('#edit-mail').val();
        var isEmailOK = validateEmail(email);
        if(!isEmailOK){

            alert("Please check your email format!");
            return false;
        }

        // Check subject
        var isSubjectOk = $('#edit-field-custom-subject').val()!='_none';
        if(!isSubjectOk){

            alert("Please check your type of request!");
            return false;
        }
        return true;
    }

    Drupal.Autox.fixSelector = function(){

        $('#edit-field-status-target-id option[value="All"]').empty().append("All Status");
        $('#edit-field-brand-target-id option[value="All"]').empty().append("All Brands");
        $('#edit-field-model-target-id option[value="All"]').empty().append("All Models");
        $('#edit-field-body-types-target-id option[value="All"]').empty().append("All Body types");
        $('#edit-field-price-value option[value="All"]').empty().append("All prices");
        $('#edit-field-miles-value option[value="All"] ').empty().append("All Miles");

    }

    Drupal.Autox.groupFieldImageFieldNote = function(){

        var wrapper = $('.field-image-view-node-group');

        $(wrapper).find('.views-field-field-image').each(function(){

            var parent = $(this).parent();
            $(parent).find('.views-field-field-image, .views-field-view-node').wrapAll('<div class="views-field views-field-field-image-view-node"></div>');
        });

    }

    Drupal.Autox.mobileMenu = function() {
      $('#main-menu-inner').mobileMenu();
    }

    // Your code here, too


})(jQuery, Drupal);

// For debug
$ = jQuery;
