
(function ($, Drupal) {

    "use strict";
    
    Drupal.behaviors.GMap = Drupal.behaviors.GMap || {};

    Drupal.behaviors.GMap = {
        attach: function (context, settings) { 
            $(window).on('load', function() {

                // Add your code here
            });
        }
    };


    Drupal.Autox.initMap =function (){
    // Create gmap;
    var gmap_container = document.getElementById('gmap');
    if(gmap_container){
        
        var gmap = new google.maps.Map(gmap_container, {
            zoom: 12,
            center: {lat: 0, lng: 0}
        });

        // Init dealers with asyn task
        Drupal.Autox.asynInitDealers(gmap);
    }
    
}


Drupal.Autox.asynInitDealers  = function (gmap_){

    var parent = (jQuery)('#gmap-container .dealers-data');
    parent.children().each(function(){
        var content = jQuery(this).clone();
        Drupal.Autox.asynGetPosition(content, gmap_);
    });
    parent.remove();
}


Drupal.Autox.asynGetPosition  =   function (content_,gmap_){
    var address = (jQuery)(content_).find('.views-field-field-address').text();
    new google.maps.Geocoder().geocode({'address': address},function(results,status){

          Drupal.Autox.initDealerCallback(results, status, gmap_,content_);
        }
    );
}


Drupal.Autox.initDealerCallback  = function (results_, status_, gmap_,content_){

    var name = (jQuery)(content_).find('.views-field-title').text();
    var eAddress = (jQuery)(content_).find('.views-field-field-address');
    if (status_ == 'OK') {

        var latlng = results_[0].geometry.location;
        var dealerId = eAddress.attr('id').trim();
        if(dealerId=='dealer-0')
        {
            gmap_.setCenter(latlng);
        }
        else{

            var url = window.location.href;
            var urlId = url.trim().split('#')[1];
            if(dealerId==urlId)
                gmap_.setCenter(latlng);
        }

        var base_path = drupalSettings.path.baseUrl;
        var image = base_path+"sites/default/files/images/marker.png"
        var marker = new google.maps.Marker({
              position: latlng,
              map: gmap_,
              icon: image,
              title: name
        });
        var infoWindow = new google.maps.InfoWindow({
            content: jQuery(content_)[0].outerHTML
        });
        marker.addListener('click', function() {
            infoWindow.open(gmap_, marker);
        });

    } else if (status == 'ZERO_RESULTS') {
      
        alert('Sorry, no results found of ' +name+'with address: '+ address.text()+'- '+ status_);
    }
}



    // Your code here, too


})(jQuery, Drupal);

