
(function ($, Drupal) {

    "use strict";
    Drupal.behaviors.ThumbnailSlider = Drupal.behaviors.ThumbnailSlider || {};
    Drupal.behaviors.ThumbnailSlider = {

        attach: function (context, settings) {  

            $(window).on('load', function() {

                Drupal.Autox.fixSliderHtml();
                
                $('#carousel').flexslider({
                    animation: "slide",
                    controlNav: false,
                    animationLoop: false,
                    slideshow: false,
                    itemWidth: 210,
                    itemMargin: 5,
                    asNavFor: '#slider'
                });

                $('#slider').flexslider({
                    animation: "slide",
                    controlNav: false,
                    animationLoop: false,
                    slideshow: false,
                    sync: "#carousel",
                    start: function(slider){
                        $('body').removeClass('loading');
                    }   
                });

            });
        }
    }


    Drupal.Autox.fixSliderHtml = function() {

        var parent = $('#stub-parent').parent();
        var li_parent = parent.find('.item-list li').parent();
        var li = parent.find('.item-list li').clone();

        li_parent.append(li).append(li);

        var slider = parent.find('.item-list').clone();
        slider.addClass('flexslider');
        slider.children().addClass('sliders');
        slider.attr('id','slider');
        var carousel = slider.clone().attr('id','carousel');

        parent.empty();
        parent.append(slider);
        parent.append(carousel);
    }
    

})(jQuery, Drupal);

