(function ($) {

    fix_slider_html();

    $('#slideshow_container').flexslider({
        animation: "slide",
    });

    onDrag();

    function fix_slider_html() {
        var parent = $('#slideshow_container');
        var sliderContainer = $(parent.children()[1]);
        var slider = $('<ul class="slides"></ul>');

        sliderContainer.children().each(function (i, e) {
            var self = $(this);
            var newElement ='<li>';
            $(self).find('.views-field').each(function(i, e) {
                var temp = '';
                if ($(this).hasClass('views-field-field-slideshow') || $(this).hasClass('image-slide')) {
                    temp = '<div class="field-image">' + $(this).find('img').parent().parent().html() + '</div>';
                }
                if ($(this).hasClass('views-field-title') || $(this).hasClass('title-slide')) {
                    temp = '<div class="slideshow-inner"><div class="slideshow-info"><h1>' + $(this).find('a').parent().html() + '</h1>';
                }
                if ($(this).hasClass('views-field-field-price') || $(this).hasClass('price-slide')) {
                    temp = '<div class="item item-price">' + $(this).html() + '</div>';
                }
                if ($(this).hasClass('views-field-view-node') || $(this).hasClass('view-node-slide')) {
                    temp = '<div class="item item-note">' + $(this).html() + '</div>';
                } 
                if (!$(this).hasClass('views-field-field-slideshow') && !$(this).hasClass('views-field-title') && !$(this).hasClass('views-field-field-price') && !$(this).hasClass('views-field-view-node')) {
                    var fieldTemp = $(this).find('.views-field');
                    temp = '<div class="item">' + $(this).html() + '</div>';
                }
                newElement = newElement.concat(temp);
            });
            newElement = newElement.concat('</div></div></li>');
            $(slider).append(newElement);
        });

        // sliderContainer.children().each(function (i, e) {
        //     var self = $(this);
        //     var image = self.find('.views-field-field-slideshow img').parent().parent();
        //     var title = self.find('.views-field-title a').parent();
        //     var brand = self.find('.views-field-field-brand');
        //     var model = self.find('.views-field-field-model');
        //     var year = self.find('.views-field-field-year');
        //     var status = self.find('.views-field-field-status');
        //     var price = self.find('.views-field-field-price');
        //     var node = self.find('.views-field-view-node');

        //     var newElement =
        //     '<li><div class="field-image">' + image.html() + '</div>' +
        //     '<div class="slideshow-inner"><div class="slideshow-info"><h1>' + title.html() + '</h1>'+
        //     '<div class="item item-brand">' + brand.html() + '</div>'+
        //     '<div class="item item-model">' + model.html() + '</div>'+
        //     '<div class="item item-year">' + year.html() + '</div>'+
        //     '<div class="item item-status">' + status.html() + '</div>'+
        //     '<div class="item item-price">' + price.html() + '</div>'+
        //     '<div class="item item-note">' + node.html() + '</div>'+
        //     '</div></div></li>';

        //     $(slider).append(newElement);
        // });

        parent.empty();
        parent.append(slider);
    }

    function onDrag() {
        var isDragging = false;
        var img = $('.container-fluid #slideshow_container .slides img');
        var deltaX, deltaY;

        img.mousedown(function(event) {
            isDragging = false;
            deltaX = event.offsetX;
            //deltaY = event.offsetY;
        })
        .mousemove(function(event) {
            isDragging = true;
        })
        .mouseup(function(event) {
            var wasDragging = isDragging;

            isDragging = false;
            deltaX -= event.offsetX;
            //deltaY -= event.offsetY;

            if (Math.abs(deltaX) > 20/* || Math.abs(deltaY) > 20*/) {
                if (deltaX < 0) {
                  movePrev();
                } else {
                  moveNext();
                }
            }
        });
    }



  function moveNext() {
    $('#slideshow_container').flexslider({
      direction: "horizontal"
    });
    $('#slideshow_container').flexslider("next");
  }

  function movePrev() {
    $('#slideshow_container').flexslider({
      direction: "horizontal"
    });
    $('#slideshow_container').flexslider("prev");
  }

  function moveTop() {
    $('#slideshow_container').flexslider({
      direction: "vertical"
    });
    $('#slideshow_container').flexslider("next");
  }

  function moveDown() {
    $('#slideshow_container').flexslider({
      direction: "vertical"
    });
    $('#slideshow_container').flexslider("prev");
  }

  // Your code here

})(jQuery);